Search results

Display a Dialog with custom position in JavaScript (ES5) Dialog control

08 May 2023 / 1 minute to read

By default, the dialog is displayed in the center of the target container. The dialog position can be set using the position property by providing custom X and Y coordinates. The dialog can be positioned inside the target based on the given X and Y values.

Source
Preview
index.js
index.html
styles.css
Copied to clipboard
ej.base.enableRipple(true);
var firstDialog = new ej.popups.Dialog ({
    // Enables the header
    header: 'Position-01',
    // The Dialog shows within the target element
    target: document.getElementById("container"),
    // Dialog content
    content: 'The dialog is positioned at {X: 420, Y: 14} coordinates',
    //Dialog height
    height: '120px',
    //Dialog width
    width: '360px',
    position: { X: 420, Y: 14 },
    animationSettings: { effect: 'None' }
});

// Render initialized outer Dialog
firstDialog.appendTo('#firstDialog');

var secondDialog = new ej.popups.Dialog ({
    // Enables the header
    header: 'Position-02',
    animationSettings: { effect: 'None' },
    // Dialog content
    content: 'The dialog is positioned at {X: 420, Y: 240} coordinates',
    // The Dialog shows within the target element
    target: document.getElementById("container"),
    // Dialog height
    height: '120px',
    // Dialog Width
    width: '360px',
    position: { X: 420, Y: 240 }
});

// Render initialized inner Dialog
secondDialog.appendTo('#secondDialog');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>Essential JS 2 Dialog positioning</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript UI Components">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-base/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.2.3/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="firstDialog"></div>
        <div id="secondDialog"></div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
Copied to clipboard
html,
body,    
#container {
    height: 100%;
    overflow: hidden;
    width: 100%;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;  
    width: 30%;
}

Display a dialog with custom position in Vue Dialog component

11 Jun 20246 minutes to read

By default, the dialog is displayed in the center of the target container. The dialog position can be set using the position property by providing custom X and Y coordinates.

The dialog can be positioned inside the target based on the given X and Y values.

<template>
    <div>
        <div id="target" class="control-section">
            <ejs-dialog id='firstDialog' header='Position-01' :position='position' width='360px' ref='dialogObj'
                target='#target' :content='content' :closeOnEscape='false'>
            </ejs-dialog>
            <ejs-dialog ref="secondDialog" header='Position-02' :height='height' :target='target' width='360px'
                :position='position1' :content='content1'>
            </ejs-dialog>
        </div>
    </div>
</template>
<script setup>

import { DialogComponent as EjsDialog } from '@syncfusion/ej2-vue-popups';

const target = "#target";
const height = '120px';
const content = 'The dialog is positioned at {X: 160, Y: 14} coordinates.';
const position = { X: 420, Y: 14 };
const content1 = 'The dialog is positioned at {X: 160, Y: 240} coordinates';
const position1 = { X: 420, Y: 240 }

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#app {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.control-section {
    height: 100%;
    min-height: 200px;
}

#defaultDialog table,
#defaultDialog th,
#defaultDialog td {
    border: 1px solid #D8D8D8;
    border-collapse: collapse;
}

#container {
    height: 365px;
}

#defaultDialog.e-dialog .e-footer-content {
    padding: 0px 1px 4px ! important;
}

.tableStyle {
    margin: 17px;
    width: 304px;
}

.e-dialog .e-dlgcontent {
    padding: 10px 16px 10px;
}

.e-radio+label .e-label {
    line-height: 18px;
}

td {
    padding: 6px;
}
</style>
<template>
    <div>
        <div id="target" class="control-section">
            <ejs-dialog id='firstDialog' header='Position-01' :position='position' width='360px' ref='dialogObj'
                target='#target' :content='content' :closeOnEscape='false'>
            </ejs-dialog>
            <ejs-dialog ref="secondDialog" header='Position-02' :height='height' :target='target' width='360px'
                :position='position1' :content='content1'>
            </ejs-dialog>
        </div>
    </div>
</template>
<script>

import { DialogComponent } from '@syncfusion/ej2-vue-popups';

export default {
    name: "App",
    components: {
        "ejs-dialog": DialogComponent
    },
    data: function () {
        return {
            target: "#target",
            height: '120px',
            content: 'The dialog is positioned at {X: 160, Y: 14} coordinates.',
            position: { X: 420, Y: 14 },
            content1: 'The dialog is positioned at {X: 160, Y: 240} coordinates',
            position1: { X: 420, Y: 240 }
        }
    },
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#app {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.control-section {
    height: 100%;
    min-height: 200px;
}

#defaultDialog table,
#defaultDialog th,
#defaultDialog td {
    border: 1px solid #D8D8D8;
    border-collapse: collapse;
}

#container {
    height: 365px;
}

#defaultDialog.e-dialog .e-footer-content {
    padding: 0px 1px 4px ! important;
}

.tableStyle {
    margin: 17px;
    width: 304px;
}

.e-dialog .e-dlgcontent {
    padding: 10px 16px 10px;
}

.e-radio+label .e-label {
    line-height: 18px;
}

td {
    padding: 6px;
}
</style>

Display a dialog with custom position in React Dialog component

18 Jan 20237 minutes to read

By default, the dialog is displayed in the center of the target container. The dialog position can be set using the position property by providing custom X and Y coordinates.
The dialog can be positioned inside the target based on the given X and Y values.

[Class-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
class App extends React.Component {
    render() {
        const firstPosition = { X: 160, Y: 14 };
        const secondPosition = { X: 160, Y: 240 };
        const effect = { effect: 'None' };
        return (<div className="App" id='dialog-target'>
      <DialogComponent id='firstDialog' header='Position-01' visible={true} width='360px' height='120px' target='#dialog-target' closeOnEscape={false} animationSettings={effect} position={firstPosition}>
     The dialog is positioned at X: 160, Y: 14 coordinates </DialogComponent>

      <DialogComponent id='secondDialog' header='Position-02' visible={true} width='360px' height='120px' target='#dialog-target' closeOnEscape={false} animationSettings={effect} position={secondPosition}>
     The dialog is positioned at X: 160, Y: 240 coordinates </DialogComponent>
  </div>);
    }
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

class App extends React.Component<{}, {}> {
  public render() {
    const firstPosition: any = { X: 160, Y: 14 };
    const secondPosition: any = { X: 160, Y: 240 };
    const effect: any = { effect: 'None' };
  return (
  <div className="App" id='dialog-target'>
      <DialogComponent id='firstDialog' header='Position-01' visible={true}
      width='360px' height='120px' target='#dialog-target'
      closeOnEscape={false} animationSettings={effect} position={firstPosition}
      >
     The dialog is positioned at X: 160, Y: 14 coordinates </DialogComponent>

      <DialogComponent id='secondDialog' header='Position-02' visible={true}
      width='360px' height='120px' target='#dialog-target'
      closeOnEscape={false} animationSettings={effect} position={secondPosition}
      >
     The dialog is positioned at X: 160, Y: 240 coordinates </DialogComponent>
  </div>);
}
}
export default App;

[Functional-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
function App() {
    const firstPosition = { X: 160, Y: 14 };
    const secondPosition = { X: 160, Y: 240 };
    const effect = { effect: 'None' };
    return (<div className="App" id='dialog-target'>
        <DialogComponent id='firstDialog' header='Position-01' visible={true} width='360px' height='120px' target='#dialog-target' closeOnEscape={false} animationSettings={effect} position={firstPosition}>
       The dialog is positioned at X: 160, Y: 14 coordinates </DialogComponent>
  
        <DialogComponent id='secondDialog' header='Position-02' visible={true} width='360px' height='120px' target='#dialog-target' closeOnEscape={false} animationSettings={effect} position={secondPosition}>
       The dialog is positioned at X: 160, Y: 240 coordinates </DialogComponent>
    </div>);
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

function App() {
    const firstPosition: any = { X: 160, Y: 14 };
    const secondPosition: any = { X: 160, Y: 240 };
    const effect: any = { effect: 'None' };
    return (
    <div className="App" id='dialog-target'>
        <DialogComponent id='firstDialog' header='Position-01' visible={true}
        width='360px' height='120px' target='#dialog-target'
        closeOnEscape={false} animationSettings={effect} position={firstPosition}
        >
       The dialog is positioned at X: 160, Y: 14 coordinates </DialogComponent>
  
        <DialogComponent id='secondDialog' header='Position-02' visible={true}
        width='360px' height='120px' target='#dialog-target'
        closeOnEscape={false} animationSettings={effect} position={secondPosition}
        >
       The dialog is positioned at X: 160, Y: 240 coordinates </DialogComponent>
    </div>);
}
export default App;

Display a dialog with custom position in Angular Dialog component

19 Sep 20223 minutes to read

By default, the dialog is displayed in the center of the target container. The dialog position can be set using the position property by providing custom X and Y coordinates.
The dialog can be positioned inside the target based on the given X and Y values.

import { Component, ViewChild, OnInit, ElementRef } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';

@Component({
    selector: 'app-root',
    template: `
    <div #container class='root-container'>
        <ejs-dialog id='firstDialog' #ejDialog header='Position-01' content='The dialog is positioned at {X: 160, Y: 14 } coordinates.' [target]='targetElement'
        width='360px' height='120px' [position]='position1'>
        </ejs-dialog>
        <ejs-dialog id='secondDialog' #ejDialog1 header='Position-02' content='The dialog is positioned at {X: 160, Y: 240} coordinates.' [target]='targetElement'
        width='360px' height='120px' [position]='position2'>
        </ejs-dialog>
      </div> `
})

export class AppComponent implements OnInit {
    @ViewChild('ejDialog') ejDialog: DialogComponent;
    @ViewChild('ejDialog1') ejDialog1: DialogComponent;
    // Create element reference for dialog target element.
    @ViewChild('container', { read: ElementRef }) container: ElementRef;
    // The Dialog shows within the target element.
    public targetElement: HTMLElement;

    //To get all element of the dialog component after component get initialized.
    ngOnInit() {
      this.initilaizeTarget();
    }
    // Set Dialog position
    public position1: object={ X: 160, Y: 14 };
    public position2: object={ X: 160, Y: 240 };

    // Initialize the Dialog component's target element.
    public initilaizeTarget: EmitType<object> = () => {
      this.targetElement = this.container.nativeElement.parentElement;
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { DialogModule } from '@syncfusion/ej2-angular-popups';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
		DialogModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);